<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:49 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MoneyRecordDAO</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.backend.MoneyRecordDAO interface">
<meta name="keywords" content="getAll()">
<meta name="keywords" content="getSumTotal()">
<meta name="keywords" content="getSumIncome()">
<meta name="keywords" content="getSumOutgoing()">
<meta name="keywords" content="insert()">
<meta name="keywords" content="delete()">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MoneyRecordDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":18,"i1":18,"i2":18,"i3":18,"i4":18,"i5":18,"i6":18};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],16:["t5","Default Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" target="_top">Frames</a></li>
<li><a href="MoneyRecordDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa.backend</div>
<h2 title="Interface MoneyRecordDAO" class="title">Interface MoneyRecordDAO</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public <span class="typeNameLabel">MoneyRecordDAO</span></pre>
<div class="block"><p><p>Alle Queries, die Room auf die money_record Tabelle anwenden kann. Die Funktionen werden automatisch
durch Room implementiert, deren Parameter in die Query eingebunden und Ergebnisse anhand der Rückgabewerte zurückgegeben</p></p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a href="javascript:show(16);">Default Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#delete-record-">delete</a></span>(<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="type parameter in MoneyRecord">MoneyRecord</a>&nbsp;record)</code>
<div class="block">löscht einen bestehenden Eintrag aus der Tabelle</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.util.List&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getAll--">getAll</a></span>()</code>
<div class="block">gibt alle <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>s aus der money_records-Tabelle zurück und sortiert sie nach aufsteigender Erstellungszeit,
fügt außerdem durch eine subquery den Name der <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> hinzu, die zum Eintrag zugeordnet wurde</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.util.List&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getAll-to-">getAll</a></span>(java.util.Date&nbsp;to)</code>
<div class="block">gibt alle <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>s nach einer bestimmten Erstellungszeit aus der money_records-Tabelle zurück und sortiert sie nach aufsteigender Erstellungszeit,
fügt außerdem durch eine subquery den Name der <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> hinzu, die zum Eintrag zugeordnet wurde</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getSumIncome-to-">getSumIncome</a></span>(java.util.Date&nbsp;to)</code>
<div class="block">Berechnet die Summe der Beträge aller positiven Einträge nach einem bestimmten Datum</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getSumOutgoing-to-">getSumOutgoing</a></span>(java.util.Date&nbsp;to)</code>
<div class="block">Berechnet die absolute Summe der Beträge aller negativen Einträge nach einem bestimmten Datum</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getSumTotal-to-">getSumTotal</a></span>(java.util.Date&nbsp;to)</code>
<div class="block">berechnet die Summe der Beträge der Einträge nach einem gewissen Datum</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#insert-record-">insert</a></span>(<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="type parameter in MoneyRecord">MoneyRecord</a>&nbsp;record)</code>
<div class="block">fügt einen neuen <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a> in die Tabelle ein</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAll</h4>
<pre>android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;getAll()</pre>
<div class="block"><p><p>gibt alle <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>s aus der money_records-Tabelle zurück und sortiert sie nach aufsteigender Erstellungszeit,
fügt außerdem durch eine subquery den Name der <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> hinzu, die zum Eintrag zugeordnet wurde</p></p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Liste der Einträge</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>, 
<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a></dd>
</dl>
</li>
</ul>
<a name="getAll-to-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAll</h4>
<pre>android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;getAll(java.util.Date&nbsp;to)</pre>
<div class="block"><p><p>gibt alle <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>s nach einer bestimmten Erstellungszeit aus der money_records-Tabelle zurück und sortiert sie nach aufsteigender Erstellungszeit,
fügt außerdem durch eine subquery den Name der <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> hinzu, die zum Eintrag zugeordnet wurde</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>to</code> - <a href="https://developer.android.com/reference/java/util/Date.html">Date</a>-Objekt, bis wohin die Einträge zurückgegeben werden sollen</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Liste der Einträge</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>, 
<a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a></dd>
</dl>
</li>
</ul>
<a name="getSumTotal-to-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSumTotal</h4>
<pre>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;getSumTotal(java.util.Date&nbsp;to)</pre>
<div class="block"><p><p>berechnet die Summe der Beträge der Einträge nach einem gewissen Datum</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>to</code> - <a href="https://developer.android.com/reference/java/util/Date.html">Date</a>-Objekt, bis zu welcher Erstellungszeit die Summe der Einträge berechnet werden soll</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>LiveData, welches die Summe beinhaltet</dd>
</dl>
</li>
</ul>
<a name="getSumIncome-to-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSumIncome</h4>
<pre>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;getSumIncome(java.util.Date&nbsp;to)</pre>
<div class="block"><p><p>Berechnet die Summe der Beträge aller positiven Einträge nach einem bestimmten Datum</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>to</code> - Datum, bis zu welchem die Beträge einberechnet werden sollen</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>absoluter Betrag der gewählten Einträge</dd>
</dl>
</li>
</ul>
<a name="getSumOutgoing-to-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSumOutgoing</h4>
<pre>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;getSumOutgoing(java.util.Date&nbsp;to)</pre>
<div class="block"><p><p>Berechnet die absolute Summe der Beträge aller negativen Einträge nach einem bestimmten Datum</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>to</code> - Datum, bis zu welchem die Beträge einberechnet werden sollen</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>absoluter Betrag der gewählten Einträge</dd>
</dl>
</li>
</ul>
<a name="insert-record-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre>void&nbsp;insert(<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="type parameter in MoneyRecord">MoneyRecord</a>&nbsp;record)</pre>
<div class="block"><p><p>fügt einen neuen <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a> in die Tabelle ein</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>record</code> - der einzufügende Eintrag</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a></dd>
</dl>
</li>
</ul>
<a name="delete-record-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>delete</h4>
<pre>void&nbsp;delete(<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="type parameter in MoneyRecord">MoneyRecord</a>&nbsp;record)</pre>
<div class="block"><p><p>löscht einen bestehenden Eintrag aus der Tabelle</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>record</code> - der bestehende Eintrag</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" target="_top">Frames</a></li>
<li><a href="MoneyRecordDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
